Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684316 - Using livemedia-creator in virt mode results in a 'NoneType' object is not callable error
Summary: Using livemedia-creator in virt mode results in a 'NoneType' object is not ca...
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: lorax
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 8.0
Assignee: Brian Lane
QA Contact: Release Test Team
Vladimír Slávik
URL:
Whiteboard:
Depends On: 1678937
Blocks: 1690507
TreeView+ depends on / blocked
 
Reported: 2019-03-01 00:50 UTC by Brian Lane
Modified: 2019-03-26 20:45 UTC (History)
4 users (show)

Fixed In Version: lorax-28.14.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1690507 (view as bug list)
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Brian Lane 2019-03-01 00:50:00 UTC
This is related to the cancel_func changes, and the fix is already upstream in these commits:

9041174142e138aff13dcc23b46e4c53e1c410dd
1c731b561887a1f62697495ecb70942d335828fd

This will prevent livemedia-creator from being used with a boot.iso, only --no-virt mode will work.

Comment 6 Oneata Mircea Teodor 2019-03-19 15:35:58 UTC
This bug has been copied as 8.0.0 z-stream (EUS) bug # 1690507 zstream and now must be
resolved in the current update release, set blocker flag.

--------------------------------------------------------------------------------

                    This bug is a 0day bug. A fix for this bug must be committed to ystream before
                    the fix is delivered via zstream.
                    
                    It is probable there is no git branch on ystream yet. If this is the case,
                    please contact RCM team using Request Tracker tool
                    https://engineering.redhat.com/rt/Ticket/Create.html?Queue=7 and provide them
                    with the following information:
                    * Name of the git repository on Dist-Git
                    * Component
                    * Requested ystream branch
                    * ID of this bug (BZ Y stream )


Note You need to log in before you can comment on or make changes to this bug.